package cn.ibizlab.core.extensions.mapping;

import org.mapstruct.Mapper;
import org.mapstruct.NullValueCheckStrategy;
import org.mapstruct.NullValuePropertyMappingStrategy;

import java.util.List;

@Mapper(componentModel = "spring", uses = {},
    nullValuePropertyMappingStrategy = NullValuePropertyMappingStrategy.IGNORE,
    nullValueCheckStrategy = NullValueCheckStrategy.ALWAYS)
public interface IBZEmp2UserMapping<IBZUSER, IBZEmployee> {


	IBZUSER toUser(IBZEmployee emp);

	IBZEmployee toEmp(IBZUSER user);

	List<IBZUSER> toUser(List<IBZEmployee> ibzEmployeeList);

	List <IBZEmployee> toEmp(List<IBZUSER> ibzuserList);

}

